svn commit: r251274 - head/usr.sbin/bsdconfig/share
Devin Teske
dteske at FreeBSD.org
Sun Jun 2 23:15:13 UTC 2013
Author: dteske
Date: Sun Jun 2 23:15:12 2013
New Revision: 251274
URL: http://svnweb.freebsd.org/changeset/base/251274
Log:
Fix a bug in which the user's choice to Cancel was not properly recognized.
Modified:
head/usr.sbin/bsdconfig/share/mustberoot.subr
Modified: head/usr.sbin/bsdconfig/share/mustberoot.subr
==============================================================================
--- head/usr.sbin/bsdconfig/share/mustberoot.subr Sun Jun 2 23:12:32 2013 (r251273)
+++ head/usr.sbin/bsdconfig/share/mustberoot.subr Sun Jun 2 23:15:12 2013 (r251274)
@@ -176,8 +176,12 @@ f_become_root_via_sudo()
retval=$?
# Catch X11-related errors
- [ $retval -eq 255 ] &&
+ if [ $retval -eq 255 ]; then
f_die $retval "$password"
+ elif [ $retval -ne 0 ]; then
+ # User cancelled
+ exit $retval
+ fi
else
password=$( $DIALOG \
--title "$DIALOG_TITLE" \
More information about the svn-src-all
mailing list